curl --request POST \
--url https://sandbox.cashfree.com/verification/oauth/token \
--header 'Content-Type: application/json' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"app_id": "<string>",
"product": "VKYC",
"metadata": {
"vkyc_request_id": 249749
},
"authenticated_user": {
"identifier_type": "mobile",
"identifier_value": 9909490494
}
}
'import requests
url = "https://sandbox.cashfree.com/verification/oauth/token"
payload = {
"app_id": "<string>",
"product": "VKYC",
"metadata": { "vkyc_request_id": 249749 },
"authenticated_user": {
"identifier_type": "mobile",
"identifier_value": 9909490494
}
}
headers = {
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
app_id: '<string>',
product: 'VKYC',
metadata: {vkyc_request_id: 249749},
authenticated_user: {identifier_type: 'mobile', identifier_value: 9909490494}
})
};
fetch('https://sandbox.cashfree.com/verification/oauth/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
"expires_at": "2024-02-02 17:30:00 IST"
}Create Auth Token to Initialise the SDK
Use this API to generate an authentication token required to initialize the Cashfree SDK. Provide your app_id, and product name (such as Video KYC) in the request body. The API returns an access_token and its expiry details.
Authorizations
Client ID. You can find your ID in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
Send the signature if IP is not whitelisted.
Body
Request payload for create auth token to initialise the SDK.
The OAuth App ID generated in the Merchant Dashboard for the specific product.
"<string>"
The product for which the authentication token is generated.
"VKYC"
The metadata associated with the authentication token.
Show child attributes
Show child attributes
The identifier of the authenticated user.
Show child attributes
Show child attributes
